import { Component, h, Host } from '@stencil/core';
const demo1 = `<dvn-alert
  message="Defaults to primary."
/>`;
const demo2 = `<dvn-alert
  tint="secondary"
  message="Also has I icon."
/>`;
const demo3 = `<dvn-alert
  tint="warning"
  message="Has warning icon."
/>`;
const demo4 = `<dvn-alert
  tint="danger"
  message="Has error icon."
/>`;
export class ShowcaseAlert {
  render() {
    return (h(Host, null,
      h("dvn-card", { leaned: true },
        h("div", { class: "d-flex" },
          h("dvn-component-demo", { domString: demo1 }),
          h("dvn-component-demo", { domString: demo2 }),
          h("dvn-component-demo", { domString: demo3 }),
          h("dvn-component-demo", { domString: demo4 })))));
  }
  static get is() { return "showcase-alert"; }
}
